<?xml version="1.0" encoding="UTF-8"?>
<TRESERV_ASSET desc_thai="ข้อมูลการยืมทรัพย์สิน" desc_eng="Treserv asset" editcheck="true" mainhelp="TRESERV_ASSETHELP" referhelp="TRESERV_ASSETHELP" mainkey="RESERVEID" protype="table" deleteflag="true" fieldsystem="*" config_field="">
<FIELD>
		<RESERVEID lang="A" encrypt="false" log="false" type="AutoNumber" table="TRESERV_ASSET" format="000000" init="000001">
			<WIDTH>30</WIDTH>
			<KEY>1</KEY>
			<DESC_ENG>Asset Code</DESC_ENG>
			<DESC_THAI>รหัสการจอง</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Asset Code</ALT_ENG>
				<ALT_THAI>รหัสการจอง</ALT_THAI>
				<READONLY>TRUE</READONLY>
			</COMPONENT>
		<REQUIRE>TRUE</REQUIRE>
	</RESERVEID>

	<COMPANYID lang="A" encrypt="false" log="false" type="String">
		<KEY>2</KEY>
		<WIDTH>5</WIDTH>
		<RELATION>MCOMPANY</RELATION>
		<DESC_ENG>Company ID</DESC_ENG>
		<DESC_THAI>รหัสบริษัท</DESC_THAI>
		<COMPONENT type="Text">
			<SIZE>5</SIZE>
			<MAXSIZE>5</MAXSIZE>
			<ALT_ENG>Company ID</ALT_ENG>
			<ALT_THAI>รหัสบริษัท</ALT_THAI>
			<READONLY>TRUE</READONLY>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
	</COMPANYID>
	
	<REFERENCE_ASSET lang="A" encrypt="false" log="false" type="String">	
		<WIDTH>30</WIDTH>
			<DESC_ENG>Reference Asset</DESC_ENG>
			<DESC_THAI>อ้างอิง</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>30</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Reference Asset</ALT_ENG>
				<ALT_THAI>อ้างอิง</ALT_THAI>
			</COMPONENT>
	</REFERENCE_ASSET>
	<START_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันเริ่มต้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันเริ่มต้น</ALT_THAI>
				<ALT_ENG>Start Date</ALT_ENG>
			</COMPONENT>
			
		</START_DATE>
	
	
		<END_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>End Date</DESC_ENG>
			<DESC_THAI>วันสิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันสิ้นสุด</ALT_THAI>
				<ALT_ENG>End Date</ALT_ENG>
			</COMPONENT>
			
		</END_DATE>

		<START_TIME lang="A" encrypt="false" log="false" type="BigDecimal" format="00.00">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Start Time</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเริ่มต้น</ALT_THAI>
				<ALT_ENG>Start Time</ALT_ENG>
			</COMPONENT>
	
		</START_TIME>

		<END_TIME lang="A" encrypt="false" log="false" type="BigDecimal" format="00.00">
			<WIDTH>5</WIDTH>
			<DESC_ENG>End Time</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาสิ้นสุด [HHMM]</ALT_THAI>
				<ALT_ENG>End Time [HHMM]</ALT_ENG>
			</COMPONENT>
		
		</END_TIME>

		<OWNER_TRESERVE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Owner Reserve</DESC_ENG>
			<DESC_THAI>ผู้จอง</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<READONLY>TRUE</READONLY>
				<ALT_ENG>Owner Reserve</ALT_ENG>
				<ALT_THAI>ผู้จอง</ALT_THAI>
			</COMPONENT>
		
		</OWNER_TRESERVE> 

		<TRESERV_ASSETTYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>treserv assettype</DESC_ENG>
			<DESC_THAI>ประเภทการยืม</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>ประเภทการยืม</ALT_THAI>
				<ALT_ENG>treserv assettype</ALT_ENG>
				<VALIDCODE>TRESERV_ASSET_TYPE</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</TRESERV_ASSETTYPE>
		
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Reserve Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>สถานะ</ALT_THAI>
				<ALT_ENG>Reserve Status</ALT_ENG>
				<VALIDCODE>RESERV</VALIDCODE>
				<ONCLICK>showTypeAsset(this.value);</ONCLICK>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</STATUS>

		<REMARKS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2000</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<LINES>8</LINES>
				<SIZECHAR>100</SIZECHAR>
				<ALT_ENG>Remark</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
				<DEFAULTVALUE></DEFAULTVALUE>
			</COMPONENT>
		</REMARKS>

		<DATE_RETURN lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Return Date</DESC_ENG>
			<DESC_THAI>วันที่คืน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่คืน</ALT_THAI>
				<ALT_ENG>Return Date</ALT_ENG>
			</COMPONENT>
			
		</DATE_RETURN>
</FIELD>
<RELATION>
</RELATION>
</TRESERV_ASSET>
